import { createReducer, on } from '@ngrx/store';
import { initialState } from './state';
import { selectedGnbMenuIndex } from './actions';

import * as AuthenticationStore from '@app/store/account/authentication';

export const reducer = createReducer(
  initialState,
  on(selectedGnbMenuIndex, (state, action) => {
    return {
      ...state,
      gnbMenuIndex: action.menuIndex
    };
  }),

  on(AuthenticationStore.logoutInitialize, (state, action) => {
    return {
      ...initialState
    };
  })
);
